.fade-mode {
  visibility: hidden;
}

@keyframes fade-in {
  0% {
    visibility: hidden;
    opacity: 0;
  }
  1% {
    visibility: hidden;
    opacity: 0;
  }
  100% {
    visibility: visible;
    opacity: 1;
  }
}

.fade-in {
  animation: fade-in 300ms ease-in-out forwards;
  background: #000;
}

@keyframes fade-out {
  0% {
    visibility: visible;
    opacity: 1;
  }
  99% {
    visibility: visible;
    opacity: 0;
  }
  100% {
    visibility: hidden;
    opacity: 0;
  }
}

.fade-out {
  animation: fade-out 300ms ease-in-out forwards;
}

html {
  width: 100%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*::after,
*::before {
  box-sizing: inherit;
}

body {
  margin: 0;
  padding: 0;
  font-size: 0.955rem;
  font-weight: 300;
  background: #f3f4f6;
  font-family: 'Public Sans', sans-serif;
  line-height: 1.3;
  overflow-x: hidden;
}

body.no-scroll {
  overflow: hidden;
}

h1,
h2,
h3,
h4 {
  color: #2d314d;
  font-weight: 200;
  margin-top: 0;
}

p {
  color: #9698a6;
}

h2 {
  font-size: 2.0375rem;
  font-weight: 200;
}

.flex {
  display: flex;
}

.flex-jc-c {
  justify-content: center;
}

.flex-jc-sb {
  justify-content: space-between;
}

.flex-jc-sa {
  justify-content: space-around;
}

.flex-ai-c {
  align-items: center;
}

a,
a:active,
a:visited {
  text-decoration: none;
}

.btn {
  display: inline-block;
  padding: 15px;
  border-radius: 50px;
  width: 10.1875rem;
  font-weight: 400;
  text-align: center;
  background: linear-gradient(to right, #31d35c, #2bb7da);
  color: white !important;
  opacity: 1;
  transition: opacity 300ms ease-in-out;
}

.btn:hover {
  opacity: .8;
}

.container {
  max-width: 95rem;
  margin: 0 auto;
}

.container__pall {
  padding-top: 1.3rem;
  padding-right: 1.25rem;
  padding-bottom: 1.3rem;
  padding-left: 1.25rem;
}

@media (max-width: 39.9375em) {
  .container__pall {
    padding-right: 0;
    padding-left: 0;
  }
}

.container__p-x {
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

.container__p-y {
  padding-top: 1.3rem;
  padding-bottom: 1.3rem;
}

@media (min-width: 87.5em) {
  .container {
    padding-left: 10.15rem;
    padding-right: 10.15rem;
  }
}

@media (max-width: 87.4375em) {
  .container__for-mobile {
    padding-left: 1.25rem;
    padding-right: 1.25rem;
  }
}

@media (min-width: 64em) {
  .hide-for-mobile {
    display: none;
  }
}

@media (max-width: 63.9375em) {
  .hide-for-desktop {
    display: none;
  }
}

.header {
  background: white;
}

.header nav {
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
  position: relative;
  background: white;
}

.header.open .header_menu span:first-child {
  transform: rotate(45deg);
}

.header.open .header_menu span:nth-child(2) {
  opacity: 0;
}

.header.open .header_menu span:last-child {
  transform: rotate(-45deg);
}

.header .overlay {
  z-index: 1;
  position: fixed;
  top: 4.1875rem;
  left: 0;
  background: linear-gradient(#2d314d, transparent);
  width: 100%;
  height: 100vh;
  opacity: 0;
}

.header_menu span {
  display: block;
  width: 1.6875rem;
  height: 2.5px;
  background-color: black;
  transition: all 300ms ease-in-out;
  transform-origin: 2px 1px;
}

.header_menu span:not(:last-child) {
  margin-bottom: 6px;
}

.header .mobile-menu {
  z-index: 1;
  position: absolute;
  background: white;
  margin-top: 1.5rem;
  width: calc(100% - 3rem);
  left: 50%;
  transform: translateX(-50%);
}

.header .mobile-menu a {
  display: block;
  margin: 0.9375rem 0;
  text-align: center;
  color: #9698a6;
}

.header .mobile-menu a:hover {
  color: #2d314d;
}

.header .menu a {
  color: #9698a6;
  position: relative;
  transition: color 300ms ease-in-out;
}

.header .menu a:not(:last-child) {
  margin-right: 1.8rem;
}

.header .menu a::after {
  content: "";
  position: absolute;
  top: 50px;
  left: 0;
  width: 100%;
  height: 4px;
  background: linear-gradient(to right, #31d35c, #2bb7da);
  opacity: 0;
  transition: opacity 300ms ease-in-out;
}

.header .menu a:hover {
  color: #2d314d;
}

.header .menu a:hover::after {
  opacity: 1;
}

.hero {
  background: #fafafa;
}

@media (min-width: 64em) {
  .hero .container {
    display: flex;
    align-items: center;
  }
}

.hero__image {
  flex: 3;
  order: 1;
  position: relative;
  height: 20.1875rem;
  width: 100%;
}

@media (min-width: 40em) {
  .hero__image {
    height: 41.2rem;
  }
}

.hero__image::before {
  content: '';
  position: absolute;
  height: 100%;
  width: 100%;
  background-image: url(/images/bg-intro-mobile.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

@media (min-width: 64em) {
  .hero__image::before {
    background-image: url(/images/bg-intro-desktop.svg);
    width: 150%;
    background-position: 0 70%;
    background-repeat: no-repeat;
    background-size: 122%;
  }
}

.hero__image::after {
  content: '';
  position: absolute;
  height: 100%;
  width: 100%;
  background-image: url(/images/image-mockups.png);
  background-repeat: no-repeat;
  background-position: center 94%;
  background-size: 80%;
}

@media (min-width: 64em) {
  .hero__image::after {
    background-size: 97%;
    width: 108%;
    background-position: -10% 94%;
    left: 21%;
    height: 120%;
  }
}

.hero__text {
  flex: 2;
  text-align: center;
  padding-bottom: 5rem;
  text-align: center;
}

@media (min-width: 64em) {
  .hero__text {
    font-size: 0.875rem;
    text-align: left;
  }
}

.hero__text h1 {
  font-weight: 300;
  font-size: 2.31rem;
  line-height: 1.3;
}

@media (min-width: 64em) {
  .hero__text h1 {
    font-size: 3.25rem;
  }
}

@media (min-width: 40em) {
  .hero__text h1 {
    font-size: 3.25rem;
  }
}

@media (min-width: 64em) {
  .hero__text p {
    font-size: 1.3rem;
  }
}

@media (min-width: 40em) {
  .hero__text p {
    font-size: 1.3rem;
  }
}

.features {
  text-align: center;
}

@media (min-width: 40em) {
  .features {
    text-align: left;
  }
}

.features__text p {
  max-width: 38.375rem;
}

@media (min-width: 40em) {
  .features__grid {
    display: flex;
    flex-wrap: wrap;
  }
}

@media (min-width: 40em) {
  .features__grid .grid-item {
    flex: 0 0 50%;
  }
}

@media (min-width: 64em) {
  .features__grid .grid-item {
    flex: 1 0 0%;
  }
}

.article {
  background: #fafafa;
  width: 100%;
}

.article__heading {
  text-align: center;
}

@media (min-width: 40em) {
  .article__heading {
    text-align: left;
  }
}

.article__cards {
  display: flex;
  flex-wrap: wrap;
}

.article__cards .card {
  background-color: white;
  width: 100%;
  margin: 1.2rem 0;
  transform: scale(1);
  transition: transform 300ms ease-in-out;
  box-shadow: -1px -1px 10px grey;
  border-radius: 7px;
}

@media (min-width: 40em) {
  .article__cards .card {
    margin: 1.2rem 1rem;
    flex: 1 0 35%;
  }
}

@media (min-width: 64em) {
  .article__cards .card {
    flex: 1 0 0%;
  }
}

.article__cards .card .img-1 {
  background-image: url(/images/image-currency.jpg);
}

.article__cards .card .img-2 {
  background-image: url(/images/image-confetti.jpg);
}

.article__cards .card .img-3 {
  background-image: url(/images/image-plane.jpg);
}

.article__cards .card .img-4 {
  background-image: url(/images/image-restaurant.jpg);
}

.article__cards .card .card_bg_img {
  height: 12rem;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 7px;
}

.article__cards .card .card__content {
  padding: 1.3625rem;
}

.article__cards .card .card__content h3 {
  transition: color 300ms ease-in-out;
}

.article__cards .card:hover {
  transform: scale(1.03);
}

.article__cards .card:hover h3 {
  color: #31d35c;
}

.footer {
  text-align: center;
  background: #2d314d;
}

@media (min-width: 64em) {
  .footer .grid {
    display: grid;
    grid-template-columns: auto auto auto auto;
  }
}

.footer .social-icons {
  margin-top: 2.0625rem;
}

.footer .social-icons img {
  margin-right: .93rem;
}

.footer__col .footer-brand {
  color: white;
}

.footer__col .btn {
  display: inline;
}

.footer__col p {
  margin-top: 2.625rem;
}

.footer__col a {
  display: block;
  margin-top: .625rem;
  color: #9698a6;
}

.footer__col a:hover {
  color: #31d35c;
}
